<template>
  <div class="hello">
    <label class = "label " for ="username" > Username </label>
    <input class = "inputText" id = "username" type="text" placeholder="Your Username" v-model="dataObjecttoSend.username" required />
    <label class = "label " for ="password"> Password </label>
    <input class = "inputText" id = "password" type="password" placeholder="Your Password" v-model="dataObjecttoSend.password" required>
    <button  @click.prevent="post"  @click="$router.push('about')" type="button" class = "submit" > Login </button>

  </div>
  
</template>

<script>
export default {
  name: 'HelloWorld',
  props: {
    msg: String
  },
  data() {
    return {
      dataObjecttoSend: {
        username: '',
        password: '' 
      }   
    }
  },
  methods: {
    post: function(){

      this.$http.post('https://5ddbb358041ac10014de140b.mockapi.io/login',
              { username: this.dataObjecttoSend.username,
                password: this.dataObjecttoSend.password,
              }).then(function(data){console.log(data);});

      if(this.dataObjecttoSend.username == '' || this.dataObjecttoSend.password == '')
          alert("You didn't fill all the fields or you are not one of our Users !\n But I will let you in because KiteSurfing is cool");
      
    }
  },
}

</script>

<style scoped>
.hello{
  box-shadow: -4px 7px 7px 3px rgba(0,0,0,0.75);
  border-radius: 12px 12px 12px 12px;
  border: 3px solid black;
  width:40%;
  height: 300px;
  margin: auto;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding-top: 0px;
  background-color: rgb(173, 231, 212);
}

.inputText {
  height:20px;
  width: 400px;
  margin-top: 10px;
  margin-bottom: 10px;   
}

button {
  height:40px;
  width: 300px;
  background: rgb(150, 150, 243);
  margin-top:30px;
  border-radius: 12px 12px 12px 12px;
}

.submit:hover {
  background-color: blueviolet;
}

@media only screen and (max-width: 600px) {

.hello{
  display:flex;
  flex-direction: column;
  align-items: center;
}  
.hello > input,button {
  width:80%;
}
}
</style>
